Skip to main content
`Ctrl`+`K`

# TaoADMMRegularizerType

Determine regularizer routine - either user provided or soft threshold for `TAOADMM`

## Synopsis

    typedef enum {
      TAO_ADMM_REGULARIZER_USER,
      TAO_ADMM_REGULARIZER_SOFT_THRESH
    } TaoADMMRegularizerType;

## See Also

TAO: Optimization Solvers, `Tao`, `TAOADMM`, `TaoADMMSetRegularizerType()`

## Level

advanced

## Location

include/petsctao.h

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages